extern int socketRecv(int SocketFd, char * stData, int nLength, int nTime);
extern int socketSend(int SocketFd, char * stData, int nLength);
extern int atoPort(char *cpService, char *cpProto);
struct in_addr *atoAddr(char *cpAddress);
extern int makeConnection(char *cpService, int nType, char *cpNetAddress, char *cpResult);
